Subject: [bug#31933] ‘emacs-emms-player-simple-mpv’ is not ‘emms-player-mpv.el’

From: Oleg Pykhalov <[email-masked]>
Date: Wed, 27 Jun 2018 04:59:58 +0300

Hello Pierre,

Pierre Neidhardt <[email-masked]> writes:

> Indeed!  Since our discussion, Mike worked on a new implementation from scratch
> (yes, a 3rd version) which supported IPC

I don't see any major or minor versions changes of emacs-emms package
from our previous discussion.  It's 5.0 still.  So our previous
discussion should still be relevant.  Do I miss something?

> , was backward compatible and which
> implementation was much simpler than the not-so-simple emms-player-simple-mpv.

That's why I've told you about 1936 lines in emms-player-simple-mpv
package.  :-) Emms MPV implementation has only about 200 lines.

> I don't know about JSON.  Can you tell me which feature you are
> looking for?

[…]

I want Emacs Emms to handle a single process as ‘emms-player-simple-mpv’
does but ‘emacs-emms’ 5.0 doesn't.  I tried ‘emacs-emms’ with following
configuration, but I didn't succeeded to get a single process:

     (require 'emms-setup)
     (emms-all)
     (emms-default-players)

Selecting next or previous item in a playlist will kill and spawn a new
‘mpv’ process.

> If there is something we should work on with the mpv player, we can discuss this
> further on the Emms mailing list.

I don't think I want to discuss anything further currently on the Emms
mailing list, because Emms mailing list is not responsible for
emacs-emms-player-simple-mpv package in Guix.

Do you have anything to prevent a revert of the change until emacs-emms
5.x will provide single process handling via JSON or another RPC?

Regards,
Oleg.